<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
  "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" >

<head>
  <title>Teile einer Teileart</title>
  <link rel="stylesheet" href="Format.css" type="text/css" />
</head>
<body>
<?php
   //Datenbankvariable festlegen
   $mServer="localhost";
   $mBenutzer = "root";
   $mKennwort = "";
   $mDatenbank = "haro";
   //Datenbankverbindung herstellen
   $dbVerbindung = new mysqli($mServer, $mBenutzer, $mKennwort, $mDatenbank);
   // Datenbankverbindung hergestellt ?
   if(mysqli_connect_errno() == 0)
    {  // Datenübernahme aus der Form
       $mWG = $_POST['rbWG'];
        // SQL-Anweisung erstellen
       $mSQL = "SELECT artikelnr, bezeichnung, vkpreis, bestand
                FROM artikel WHERE wgnr = '$mWG' ORDER by artikelnr;";
       // Ergebnistabellenobjekt abfrageErgebnis mit mSQL bilden
       $abfrageErgebnis = $dbVerbindung->query($mSQL);

       // ist abfrageErgebnis leer ?
       if ($abfrageErgebnis->num_rows == 0)
        { echo "<h2>Fehler: Diese Warengruppe gibt es nicht.</h2>";
        }
       else
        {   //Ausgabe der Überschrift
            ?>
              <table border ="1">
                 <!-- <colgroup>
                        <col width="50" />
                        <col width="200" />
                        <col width="50" />
                        <col width="50" />
                  </colgroup>  -->
              <tr>
                    <th>ArtikelNr</th>
                    <th>Bezeichnung</th>
                    <th>Verkaufspreis</th>
                    <th>Lagerbestand</th>
              </tr>
            <?php
                while ($aktuellerArtikel = $abfrageErgebnis->fetch_object())
                { echo "<tr><td> $aktuellerArtikel->artikelnr </td>";
                  echo "<td> $aktuellerArtikel->bezeichnung </td>";
                  //echo "<td class = 'rechts'>";
                  echo "<td>";
                  echo number_format($aktuellerArtikel->vkpreis, 2, ",", ".");
                 // echo "</td><td class = 'rechts'>";
                  echo "</td><td>";
                  echo number_format($aktuellerArtikel->bestand, 0, ",", ".");
                  echo "</td></tr>";
                }
                echo "</table>";

                // Datenbankverbindung schließen
                $dbVerbindung->close();
        }
    }
    else
    { echo "<h2>Keine Datenbankverbindung</h2>";
      echo "<p>Fehler: ", mysqli_connect_error(), "</p>";
    }
  ?>
</body>
</html>